+storeblob fails with "500 Internal server error" on production (works on edge)

Bug #538097 reported by tekstr1der
528
This bug affects 106 people
Affects Status Importance Assigned to Milestone
Launchpad itself
Critical
Gary Poster
apport (Linux From Scratch)
New
Undecided
Unassigned
apport (Ubuntu)
High
Unassigned
Nominated for Lucid by Cristian Aravena Romero

Bug Description

Binary package hint: apport

On latest lucid, apport will not connect via a verified establish Internet connection.

STR:
1) Attempt to submit a crash report from /var/crash
2) Apport dialog titled "Network Problem" with the text, "Cannot connect to crash database, please check your internet connection."

Ubuntu forum discussion & confirmation here:
http://ubuntuforums.org/showthread.php?t=1428033

Let me know what debugging information I may provide to assist in this.

The actual error that apport gets is: HTTP Error 500: Internal Server Error

Revision history for this message
Philip Muškovac (yofel) wrote :

I just got that message too while trying to report a bug about the kubuntu lucid i386 live disk that I had running in KVM.

tags: added: lucid
Changed in apport (Ubuntu):
status: New → Confirmed
Revision history for this message
Erick Brunzell (lbsolost) wrote :

I suspect this is actually a Launchpad problem. I've tried reporting bugs using apport in both Lucid and Jaunty this AM and always get the same error message:

Could not upload report data to crash database:

HTTP Error 500: Internal Server Error

Revision history for this message
sojourner (itsmealso2) wrote :

getting this on kubuntu 10.04 amd64 also .

Revision history for this message
Alex Moldovan (alexmoldovan) wrote :

The same message on 2.6.32- Lucid desktop16-generic #25-Ubuntu SMP Tue Mar 9 16:33:52 UTC 2010 i686 GNU/Linux.

Revision history for this message
André Gondim (andregondim) wrote :

I've this problem

$ dpkg -s apport
Package: apport
Status: install ok installed
Priority: optional
Section: utils
Installed-Size: 2004
Maintainer: Martin Pitt <email address hidden>
Architecture: all
Version: 1.13-0ubuntu2
Replaces: apport-cli, apport-gtk (<< 0.51)
Depends: python (>= 2.4), python-apport (>= 0.120), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2), upstart-job
Recommends: apport-symptoms
Suggests: apport-gtk | apport-kde
Conflicts: apport-cli, apport-gtk (<< 0.51)
Conffiles:
 /etc/init/apport.conf 7cedba9dbf75949345d24bf3671724e7
 /etc/logrotate.d/apport fa54dab59ef899b48d5455c976008df4
 /etc/default/apport cd10c891b6572d8e97fda4fda158c5b4
 /etc/cron.daily/apport e20b72233d9014a199c665e7dc35cd04
 /etc/bash_completion.d/apport_completion 25401049b34a9a3270edef042f69e2e7
 /etc/apport/blacklist.d/apport 44503501302b80099552bac0204a45c1
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-kde).
Homepage: https://wiki.ubuntu.com/Apport
Python-Version: all

Revision history for this message
dino99 (9d9) wrote :

i've reported today without problem ( bug 537962), so it might be a "time out" problem or else on launchpad side and not a problem of apport itself.

But still wonder why all the crashes are "silent" and half of them are owned by root, strange.

Revision history for this message
David D Lowe (flimm) wrote :

I get the same error message when attempting to file a bug with gnome-control-center. I do manage to get as far as clicking on "Send Report".

I get this error message in the terminal (which is printed even before I click "Send Report"):
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: cannot open shared object file: No such file or directory

Revision history for this message
teh603 (darth-giles) wrote :

I had it using the crash reporter icon that appears in the top tray. It gathered data, got partway through sending, and then whammo. Could not connect to database. I thought it might've been my cell modem, but I guess it wasn't.

Emmet Hikory (persia)
Changed in apport (Ubuntu):
importance: Undecided → High
Revision history for this message
Benn Snyder (benn.snyder) wrote :

apport-cli gives a similar error message:

The collected information is being sent to the bug tracking system.
This might take a few minutes.
92%
*** Error: Network problem

Cannot connect to crash database, please check your Internet connection.

Revision history for this message
Gabriel Bauman (gabrielbauman) wrote :

Looks like it finishes uploading the crash data, then fails just before the browser would ordinarily be opened to finish the bug report

This can't be helping the Lucid release. I've had about 10 crashers fail to submit over the past couple of days, and not a single success in that time.

Revision history for this message
timosha (timosha) wrote :

Ditto here, can't report severe hardware crashes !

Revision history for this message
Erick Brunzell (lbsolost) wrote :

This may be totally unrelated, but I also notice now that if I have updates, and if I use Update Manager to review them, if I click on a Launchpad link to review the changelog, instead of launching Firefox (or opening a new tab if FF is open in another window) it staggers & stumbles and finally opens Opera.

And I checked, FF is still set as my default browser, so maybe there's an internal "linkage" problem. Get what I mean? Like Apport is unable to open Firefox as it should. Maybe?

Revision history for this message
Philip Muškovac (yofel) wrote :

I'm adding a launchpad task. 'HTTP Error 500: Internal Server Error' doesn' t sound like a bug in apport and apport still uploads fine to staging.launchpad.net

Philip Muškovac (yofel)
description: updated
Revision history for this message
Erick Brunzell (lbsolost) wrote :

My post #12 does not make sense. I shouldn't try to think so early in the day.

I tried again to file a bug report using "ubuntu-bug" in Jaunty and the browser behavior there is correct but I get the same error message.

Revision history for this message
Thomas (t.c) wrote :

same problem by me: apport-cli on ubuntu lucid server:

*** Uploading problem information

The collected information is being sent to the bug tracking system.
This might take a few minutes.
68%
*** Error: Network problem

Cannot connect to crash database, please check your Internet connection.

Press any key to continue...

ubuntu-bug (with the saved bugreport on my notebook with ubuntu karmic):

Network problem: Cannot connect to crash database, please check your Internet connection.

Any Help?

Revision history for this message
Lorenzo De Liso (blackz) wrote :

This happens also on ubuntu 9.10. Seems it's an launchpad problem. I get "Can't connect to crash database, please check your internet connection".

Regards,

Lorenzo D. (alias BlackZ).

Revision history for this message
holstein (mikeholstein) wrote : apport information

Architecture: i386
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100304)
Package: apport 1.13-0ubuntu2
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Tags: lucid
Uname: Linux 2.6.32-16-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected
Revision history for this message
holstein (mikeholstein) wrote : ApportLog.txt

apport information

Revision history for this message
holstein (mikeholstein) wrote : CrashReports.txt

apport information

Revision history for this message
holstein (mikeholstein) wrote : Dependencies.txt

apport information

Daniel Hahler (blueyed)
Changed in apport (Ubuntu):
status: Confirmed → Triaged
Changed in launchpad:
status: New → Confirmed
Revision history for this message
Rick Spencer (rick-rickspencer3) wrote : Re: Apport cannot connect to crash database

Can you guys please take a look when you get in on Monday? It's not a great situation when folks can't log bugs on the development release. Thanks.

Changed in apport (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Changed in launchpad:
assignee: nobody → Francis J. Lacoste (flacoste)
Revision history for this message
Lorenzo De Liso (blackz) wrote : Re: [Bug 538097] Re: Apport cannot connect to crash database

Il giorno sab, 13/03/2010 alle 21.18 +0000, Rick Spencer ha scritto:
> Can you guys please take a look when you get in on Monday? It's not a
> great situation when folks can't log bugs on the development release.
> Thanks.

I will se if I will get it again in Monday.

Regards,

Lorenzo D. (alias BlackZ).

Revision history for this message
dino99 (9d9) wrote : Re: Apport cannot connect to crash database

try to report today, here is the output:

Traceback (most recent call last):
  File "/usr/share/apport/apport-gtk", line 354, in <module>
    app.run_argv()
  File "/usr/lib/python2.6/dist-packages/apport/ui.py", line 538, in run_argv
    return self.run_update_report()
  File "/usr/lib/python2.6/dist-packages/apport/ui.py", line 472, in run_update_report
    attachment_comment='apport information')
  File "/usr/lib/python2.6/dist-packages/apport/crashdb_impl/launchpad.py", line 334, in update
    bug.lp_save()
  File "/usr/lib/pymodules/python2.6/lazr/restfulclient/resource.py", line 638, in lp_save
    URI(self.self_link), representation, headers)
  File "/usr/lib/pymodules/python2.6/lazr/restfulclient/_browser.py", line 329, in patch
    'PATCH', extra_headers=extra_headers)
  File "/usr/lib/pymodules/python2.6/lazr/restfulclient/_browser.py", line 269, in _request
    raise HTTPError(response, content)
lazr.restfulclient.errors.HTTPError: HTTP Error 412: Precondition Failed
Response headers:
---
content-length: 0
content-type: text/plain
date: Sun, 14 Mar 2010 10:05:49 GMT
server: zope.server.http (HTTP)
status: 412
vary: Cookie,Authorization,Accept
via: 1.1 wildcard.edge.launchpad.net
x-content-type-warning: guessed from content
x-powered-by: Zope (www.zope.org), Python (www.python.org)
---
Response body:
---

---

oem@dub:~$

Revision history for this message
dino99 (9d9) wrote :

retry to send a crash today, and got:

(users-admin:7241): Gtk-CRITICAL **: gtk_list_store_set_valist: assertion `VALID_ITER (iter, list_store)' failed

(users-admin:7241): Liboobs-WARNING **: There was an unknown error communicating with the backends: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(users-admin:7241): Gtk-CRITICAL **: gtk_list_store_set_valist: assertion `VALID_ITER (iter, list_store)' failed

(users-admin:7241): Liboobs-WARNING **: There was an unknown error communicating with the backends: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
checking for valid crashreport now
gnunetd

this is found into .Xsession-errors after trying to report a crash found into /var/crash (silent crash) by double-clicking on it. These warnings are written immediatly after that Apport fail to connect to database.

Revision history for this message
Leo Milano (lmilano) wrote :

Same here, I am trying to report a critical bung in plymouth. This is the console output:

leo@grisell:~$ apport-bug plymouth
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
QFileSystemWatcher: failed to add paths: /home/leo/.config/ibus/bus
Bus::open: Can not get ibus-daemon's address.
IBusInputContext::createInputContext: no connection to ibus-daemon

Revision history for this message
Erick Brunzell (lbsolost) wrote :

Somewhat similar (yet different) to what dino99 reports I find various errors in my /home .xsession-errors and .xsession-errors.old:

One example:

system-config-printer-applet: failed to start PrinterDriversInstaller service: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.52" is not allowed to own the service "com.redhat.PrinterDriversInstaller" due to security policies in the configuration file
gvfs-gdu-volume-monitor
** (update-notifier:1490): DEBUG: fire up the crashreport tool

checking for valid crashreport now

(firefox-bin:1429): Gdk-WARNING **: XID collision, trouble ahead

Then it continues to repeat that last line dozens of times. Another example:

gvfs-gdu-volume-monitor
** (update-notifier:1527): DEBUG: fire up the crashreport tool

checking for valid crashreport now
checking for valid crashreport now

(firefox-bin:1651): Gdk-WARNING **: XID collision, trouble ahead

Again repeating the (firefox-bin:****) thing.

And it does not seem to matter if Firefox is already open or not.

Revision history for this message
Michał Gołębiowski-Owczarek (mgol) wrote :

It doesn't work on Karmic as well. Besides, Lucid beta will be out in 3 days, not working apport will be a serious drawback...

Martin Pitt (pitti)
Changed in apport (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → Martin Pitt (pitti)
Revision history for this message
Martin Pitt (pitti) wrote :

For debugging this slightly better I committed a change to Apport to display the exception string in the "network error" dialog box.

I can replicate it here, too.

Revision history for this message
Martin Pitt (pitti) wrote :

I can't see anything wrong with Apport here, and the blob upload code hasn't changed in years literally.

I can perfectly well reproduce the error on production:

  wget -O - --post-data="FORM_SUBMIT=1&field.blob=/etc/fstab" https://launchpad.net/+storeblob

--2010-03-15 13:15:29-- https://launchpad.net/+storeblob
Auflösen des Hostnamen »launchpad.net«.... 91.189.89.223, 91.189.89.222
Verbindungsaufbau zu launchpad.net|91.189.89.223|:443... verbunden.
HTTP Anforderung gesendet, warte auf Antwort... 500 Internal Server Error
2010-03-15 13:15:29 FEHLER 500: Internal Server Error.

While it works on edge:

  wget -O - --post-data="FORM_SUBMIT=1&field.blob=/etc/fstab" https://edge.launchpad.net/+storeblob

(yes, it complains about a data format error, but that's okay; it's a successful HTML call, no "500 server error".)

Changed in apport (Ubuntu):
status: Triaged → Invalid
summary: - Apport cannot connect to crash database
+ +storeblob fails with "500 Internal server error" on production (works
+ on edge)
Revision history for this message
Usama Akkad (damascene) wrote :

I've the same issue with telepathy bugs

but https://bugs.launchpad.net/empathy
says "Chat app, and Telepathy user interface does not use Launchpad for bug tracking."
is that related?

Changed in launchpad:
assignee: Francis J. Lacoste (flacoste) → nobody
affects: launchpad → malone
Martin Pitt (pitti)
Changed in apport (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
Deryck Hodge (deryck)
Changed in malone:
status: Confirmed → Triaged
importance: Undecided → High
milestone: none → 10.03
tags: added: oops
Revision history for this message
Graham Binns (gmb) wrote :

I'm investigating this now; I'll update here as soon as I understand the problem better.

Revision history for this message
Graham Binns (gmb) wrote :

Retargeting this to launchpad-foundations; this isn't a bug in malone.

affects: malone → launchpad-foundations
Changed in launchpad-foundations:
milestone: 10.03 → none
Revision history for this message
Gary Poster (gary) wrote :

Will address in Launchpad, and get it rolled out to production ASAP.

Changed in launchpad-foundations:
assignee: nobody → Gary Poster (gary)
milestone: none → 10.03
Gary Poster (gary)
Changed in launchpad-foundations:
importance: High → Critical
Revision history for this message
Leo (leorolla) wrote :

Shouldn't it be tagged regression as well?

Daniel Hahler (blueyed)
tags: removed: lucid
tags: added: lucid
tags: removed: lucid
Revision history for this message
dino99 (9d9) wrote :

Good news today,

a few minutes ago i've ran ubuntu-bug to report, and all the process ended fine: bug 539411

this is with Lucid with its latest updates.

Revision history for this message
Leo (leorolla) wrote :

I confirm it is working fine now.

I have just filed bug 539455 with ubuntu-bug

This is with Karmic with its latest updates.

Gary Poster (gary)
Changed in launchpad-foundations:
status: Triaged → Fix Released
Revision history for this message
Jamin W. Collins (jcollins) wrote :

I've tried repeatedly to upload kernel crash reports almost all of them fail with:

Cannot connect to crash database, please check your Internet connection.

HTTP Error 500: Internal Server Error

These crash reports are rather large in size 1.5-3G.

Revision history for this message
Gary Poster (gary) wrote :

Jamin, your experience is almost certainly unrelated to the underlying cause of this bug. Could you please open a new bug? Is there any other information you can give us--do the logs give an OOPS value for instance? A timeout somewhere along the line sounds suspiciously likely.

Revision history for this message
Jamin W. Collins (jcollins) wrote :

I'll happily open a new report, what logs are you referring to?

Revision history for this message
Gary Poster (gary) wrote :

Looks like you found bug 95822. That looks like the right one. I did get a suggestion for logs which I will include there.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers